'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');

const sSaqhanBreadCrumbsCss = ":host{display:block}";

const SSaqhanBreadCrumbs = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getLinks(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", null, index.h(BreadLinks, { links: this.getLinks(this.links) })));
    }
};
const BreadLinks = (props) => {
    return props.links.map((item) => {
        return (index.h("div", { class: "container" }, index.h("s-saqhan-bread-card", { links: item })));
    });
};
SSaqhanBreadCrumbs.style = sSaqhanBreadCrumbsCss;

const sSaqhanListNewsCss = ":host{display:block}";

const SSaqhanListNews = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (index.h("div", null, index.h(NewsItem, { news: this.getNews(this.news) })));
    }
};
const NewsItem = (props) => {
    return (props.news.map(item => {
        return (index.h("div", { class: "container-fluid" }, " ", index.h("s-saqhan-news-card", { news: item }), " "));
    }));
};
SSaqhanListNews.style = sSaqhanListNewsCss;

exports.s_saqhan_bread_crumbs = SSaqhanBreadCrumbs;
exports.s_saqhan_list_news = SSaqhanListNews;
