import { Component, h, Prop } from "@stencil/core";
export class SSaqhanAuthorInfo {
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
    static get is() { return "s-saqhan-author-info"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-author-info.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-author-info.css"]
    }; }
    static get properties() { return {
        "author": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "author",
            "reflect": false
        }
    }; }
}
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (h("div", { class: "content-text" },
            h("hr", null),
            h("s-saqhan-card-author", { author: item })));
    });
};
