import { r as registerInstance, h } from './index-7a106f9f.js';
var sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";
var SSaqhanAuthorInfo = /** @class */ (function () {
    function SSaqhanAuthorInfo(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanAuthorInfo.prototype.getAuthor = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanAuthorInfo.prototype.render = function () {
        return (h("div", { class: "container" }, h(CardAuthor, { author: this.getAuthor(this.author) })));
    };
    return SSaqhanAuthorInfo;
}());
var CardAuthor = function (props) {
    return props.author.map(function (item) {
        return (h("div", { class: "content-text" }, h("hr", null), h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;
var sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";
var SSaqhanLineBook = /** @class */ (function () {
    function SSaqhanLineBook(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanLineBook.prototype.getBanner = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanLineBook.prototype.render = function () {
        return (h("div", null, h(Banner, { bannerPost: this.getBanner(this.banner) })));
    };
    return SSaqhanLineBook;
}());
var Banner = function (props) {
    return (props.bannerPost.map(function (item) {
        return h("div", { class: "container" }, h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
SSaqhanLineBook.style = sSaqhanLineBookCss;
var sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";
var SSaqhanQuoteText = /** @class */ (function () {
    function SSaqhanQuoteText(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanQuoteText.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: " col " }, h("div", { class: "quote-text" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem.")))));
    };
    return SSaqhanQuoteText;
}());
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;
export { SSaqhanAuthorInfo as s_saqhan_author_info, SSaqhanLineBook as s_saqhan_line_book, SSaqhanQuoteText as s_saqhan_quote_text };
