import { r as registerInstance, h } from './index-7a106f9f.js';

const sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";

const SSaqhanAuthorInfo = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
};
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (h("div", { class: "content-text" }, h("hr", null), h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;

const sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";

const SSaqhanLineBook = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getBanner(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", null, h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
};
const Banner = (props) => {
    return (props.bannerPost.map(item => {
        return h("div", { class: "container" }, h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
SSaqhanLineBook.style = sSaqhanLineBookCss;

const sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";

const SSaqhanQuoteText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: " col " }, h("div", { class: "quote-text" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem.")))));
    }
};
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;

export { SSaqhanAuthorInfo as s_saqhan_author_info, SSaqhanLineBook as s_saqhan_line_book, SSaqhanQuoteText as s_saqhan_quote_text };
