import { Component, Event, h, Prop } from "@stencil/core";
export class SSaqhanChatUserCard {
    render() {
        return (h("div", null,
            h("div", { class: "user-card", onClick: () => this.selectPersonal.emit() },
                h("div", { class: "left" },
                    h("div", { class: "img-user", style: { backgroundImage: "url(" + this.user.img + ")" } })),
                h("div", { class: "right" },
                    h("div", { class: "user-data" },
                        h("div", { class: "user-name" }, this.user.name),
                        h("div", { class: "message-date" }, this.user.date)),
                    h("div", { class: "mess-wrapper" },
                        h("div", { class: "user-mess" }, this.user.message),
                        h("div", { class: "new-mess-wrap" },
                            h("span", { class: "new-mess" }, "1"))),
                    this.user.position ? h("span", { class: "positon-user" }, this.user.position) : ''))));
    }
    static get is() { return "s-saqhan-chat-user-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-user-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-user-card.css"]
    }; }
    static get properties() { return {
        "user": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "user",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "selectPersonal",
            "name": "selectPersonal",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
