import { Component, h, Prop } from "@stencil/core";
export class SSaqhanChatUser {
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (h("div", { class: "user-wrapper" },
            h(UserMessage, { user: this.messages })));
    }
    static get is() { return "s-saqhan-chat-user"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-user.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-user.css"]
    }; }
    static get properties() { return {
        "messages": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "messages",
            "reflect": false
        }
    }; }
}
const UserMessage = (props) => {
    return props.user.map(item => {
        return h("s-saqhan-chat-user-card", { user: item });
    });
};
