import { r as registerInstance, h } from './index-7a106f9f.js';
var sSaqhanBreadCrumbsCss = ":host{display:block}";
var SSaqhanBreadCrumbs = /** @class */ (function () {
    function SSaqhanBreadCrumbs(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanBreadCrumbs.prototype.getLinks = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanBreadCrumbs.prototype.render = function () {
        return (h("div", null, h(BreadLinks, { links: this.getLinks(this.links) })));
    };
    return SSaqhanBreadCrumbs;
}());
var BreadLinks = function (props) {
    return props.links.map(function (item) {
        return (h("div", { class: "container" }, h("s-saqhan-bread-card", { links: item })));
    });
};
SSaqhanBreadCrumbs.style = sSaqhanBreadCrumbsCss;
var sSaqhanListNewsCss = ":host{display:block}";
var SSaqhanListNews = /** @class */ (function () {
    function SSaqhanListNews(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanListNews.prototype.getNews = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanListNews.prototype.render = function () {
        return (h("div", null, h(NewsItem, { news: this.getNews(this.news) })));
    };
    return SSaqhanListNews;
}());
var NewsItem = function (props) {
    return (props.news.map(function (item) {
        return (h("div", { class: "container-fluid" }, " ", h("s-saqhan-news-card", { news: item }), " "));
    }));
};
SSaqhanListNews.style = sSaqhanListNewsCss;
export { SSaqhanBreadCrumbs as s_saqhan_bread_crumbs, SSaqhanListNews as s_saqhan_list_news };
